javax.swing.plaf.basic

## Class BasicComboPopup.InvocationKeyHandler

- java.lang.Object
- - java.awt.event.KeyAdapter
  - - javax.swing.plaf.basic.BasicComboPopup.InvocationKeyHandler

All Implemented Interfaces:
  KeyListener, EventListener

Enclosing class:
  BasicComboPopup

    public class BasicComboPopup.InvocationKeyHandler
    extends KeyAdapter

As of Java 2 platform v 1.4, this class is now obsolete and is only included for backwards API compatibility. Do not instantiate or subclass.

All the functionality of this class has been included in BasicComboBoxUI ActionMap/InputMap methods.

### Constructor Summary

Constructors
Constructor and Description
`BasicComboPopup.InvocationKeyHandler()`

### Method Summary

Methods
`void` `keyReleased(KeyEvent e)` Invoked when a key has been released.

### Methods inherited from class java.awt.event.KeyAdapter

`keyPressed, keyTyped`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicComboPopup.InvocationKeyHandler

    public BasicComboPopup.InvocationKeyHandler()

### Method Detail

#### keyReleased

    public void keyReleased(KeyEvent e)

Description copied from class: `KeyAdapter`
Invoked when a key has been released.

Specified by:
  `keyReleased` in interface `KeyListener`
Overrides:
  `keyReleased` in class `KeyAdapter`

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.